Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1739898 - ailurus fails to install in Fedora rawhide
Summary: ailurus fails to install in Fedora rawhide
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ailurus
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Liang Suilong
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FailsToInstall PY2FTBI
TreeView+ depends on / blocked
 
Reported: 2019-08-11 21:24 UTC by Miro Hrončok
Modified: 2023-09-14 05:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-31 07:39:43 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2019-08-11 21:24:04 UTC
ailurus-10.10.3-19.fc31.noarch fails to install in Fedora rawhide:

  package ailurus-10.10.3-19.fc31.noarch requires gnome-python2-gnomekeyring, but none of the providers can be installed
  package gnome-python2-gnomekeyring-2.32.0-37.fc31.x86_64 requires gnome-python2-desktop = 2.32.0-37.fc31, but none of the providers can be installed
  nothing provides gnome-python2-canvas >= 2.10.0 needed by gnome-python2-desktop-2.32.0-37.fc31.x86_64

This is most likely caused by a dependency that was retired.
Please drop the dependency or remove the package. Thanks

Comment 1 Ben Cotton 2019-08-13 17:05:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:09:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Miro Hrončok 2019-08-19 21:01:04 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 4 Miro Hrončok 2019-08-21 15:47:12 UTC
See https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

"Packages still failing to install due to a missing Python 2 dependency will be retired at Beta Freeze, assuming they have a Bugzilla bug open for at least 2 weeks. The package maintainer may postpone this retirement to the Final Freeze by promising to fix it until then."

Let me know if this package shall not be retired yet. The beta freeze is at 2019-08-29, the final freeze is at 2019-10-08.

Comment 5 Miro Hrončok 2019-08-28 11:51:08 UTC
Retired the package in master and f31. Let me know if you want me review it once (if) it is added back.

Comment 6 Miro Hrončok 2019-08-30 11:57:50 UTC
Requesting a freeze exception based on https://pagure.io/fesco/issue/2216#comment-593925

Comment 7 Adam Williamson 2019-08-30 16:14:02 UTC
Unproposing per https://pagure.io/fesco/issue/2216#comment-594033 . Please only propose bugs where an update was actually pending before the 29th, unless there is a more urgent reason why that package specifically should get an FE.

Comment 8 Miro Hrončok 2019-08-31 07:39:43 UTC
I've verified that the package is gone from the fedora repo. Thanks and sorry for panicking.

Comment 9 Red Hat Bugzilla 2023-09-14 05:41:30 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days


Note You need to log in before you can comment on or make changes to this bug.